net.corda.core.messaging

## Class TopicSession

- net.corda.core.messaging.TopicSession

-     public class TopicSession

  An identifier for the endpoint `interface MessagingService` message handlers listen at.

  See Also:
    `interface MessagingService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicSession(java.lang.String topic, long sessionID)` An identifier for the endpoint `interface MessagingService` message handlers listen at.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `long` | `component2()`
    `TopicSession` | `copy(java.lang.String topic, long sessionID)` An identifier for the endpoint `interface MessagingService` message handlers listen at.
    `boolean` | `equals(java.lang.Object p)`
    `long` | `getSessionID()`
    `java.lang.String` | `getTopic()`
    `int` | `hashCode()`
    `boolean` | `isBlank()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### TopicSession

          public TopicSession(java.lang.String topic,
                              long sessionID)

      An identifier for the endpoint `interface MessagingService` message handlers listen at.

      Parameters:
        `topic` - identifier for the general subject of the message, for example "platform.network_map.fetch". The topic can be the empty string to match all messages (session ID must be DEFAULT_SESSION_ID).
        `sessionID` - identifier for the session the message is part of. For services listening before a session is established, use DEFAULT_SESSION_ID.
      See Also:
        `interface MessagingService`

  - ### Method Detail

    - #### isBlank

          public boolean isBlank()

    - #### toString

          public java.lang.String toString()

    - #### getTopic

          public java.lang.String getTopic()

    - #### getSessionID

          public long getSessionID()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public long component2()

    - #### copy

          public TopicSession copy(java.lang.String topic,
                                   long sessionID)

      An identifier for the endpoint `interface MessagingService` message handlers listen at.

      Parameters:
        `topic` - identifier for the general subject of the message, for example "platform.network_map.fetch". The topic can be the empty string to match all messages (session ID must be DEFAULT_SESSION_ID).
        `sessionID` - identifier for the session the message is part of. For services listening before a session is established, use DEFAULT_SESSION_ID.
      See Also:
        `interface MessagingService`

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)